If it helps, I ran the compatability wizard thing and it said It was all good.
As I say, pre update it worked fine.